CALLOC(3)

NAME
calloc - allocate clean memory (zero initialized space)

SYNOPSIS
#include <stdlib.h>
void *
calloc(size_t nmemb, size_t size);

DESCRIPTION
The calloc() function allocates space for an array of nmemb objects, each of whose size is size. The space is initialized to all bits zero.

RETURN VALUES
The calloc() function returns a pointer to the the allocated space if successful; otherwise a null pointer is returned.

SEE ALSO
malloc(3), realloc(3), free(3),

STANDARDS
The calloc() function conforms to ansiC.